Bug 97583 - [7.05-20.1] gs gets stuck reading /dev/random
[7.05-20.1] gs gets stuck reading /dev/random
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ghostscript (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
http://nogin.org/tmp/bug97583.ps
:
: 110326 130508 (view as bug list)
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2003-06-17 19:33 EDT by Aleksey Nogin
Modified: 2007-11-30 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2005-081
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:20:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2003-06-17 19:33:01 EDT
When running

gs -q -sPAPERSIZE=a4 -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=XXXfile2
-c .setpdfwrite XXXfile1

gs process stays forever in "sleep" mode. Strace shows that process is doing a
read on fd 9 and "ls -l /proc/XXXXX/fd/9" shows

/proc/XXXXX/fd/9 -> /dev/random

Reproducible: always (for a specific file, at least).
Comment 1 Tim Waugh 2003-06-18 04:23:30 EDT
And with -dSAFER -dPARANOIDSAFER?
Comment 2 Aleksey Nogin 2003-06-18 05:27:00 EDT
> -dSAFER -dPARANOIDSAFER

Same thing. Also, the options I am using are essentially lifted from
/usr/bin/ps2pdfwr (and the ps file is created by dvips).
Comment 3 Tim Waugh 2003-06-18 05:49:38 EDT
Please attach the file, or a pointer to it.
Comment 4 Aleksey Nogin 2003-06-18 06:35:20 EDT
I've put the file at http://nogin.org/tmp/bug97583.ps
Comment 5 Tim Waugh 2003-06-18 07:27:53 EDT
This comes from src/gdevpdf.c, and was present in 7.05-20 too.  It seems to be
fixed (to use /dev/urandom) in 7.07.
Comment 6 Aleksey Nogin 2003-08-26 20:55:22 EDT
Is there any chance of an errata for this? This is pretty annoying to have
around :-(
Comment 7 Tim Waugh 2003-08-29 08:27:27 EDT
If there is a more pressing need to issue an advisory, I'll see if we can get
this fix in too.
Comment 8 Tim Waugh 2003-11-18 10:31:23 EST
*** Bug 110326 has been marked as a duplicate of this bug. ***
Comment 9 Chris Underhill 2005-01-13 12:54:05 EST
This bug is also seems to be present in WS3 with latest updates, i.e.,
using ghostscript-7.05-32.1.9. It makes a bulk ps2pdf run painfully slow.
Comment 10 Tim Waugh 2005-01-13 17:44:44 EST
*** Bug 130508 has been marked as a duplicate of this bug. ***
Comment 21 Red Hat Bugzilla 2005-09-28 10:20:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-081.html

Note You need to log in before you can comment on or make changes to this bug.